variables:
  NO_CACHE: 'true'

stages:
  - build

Build Operator (latest):
  stage: build
  only:
    - master
  tags:
    - docker-image-build
  script: 'echo "Building Docker image..."'

Build Operator:
  stage: build
  except:
    - master
  tags:
    - docker-image-build
  script: 'echo "Building Docker image..."'
  variables:
    TO: ${CI_REGISTRY_IMAGE}:${CI_COMMIT_REF_NAME}

#TODO
# $ kubectl create -f deploy/crds/drupal8_v1alpha1_drupal8_crd.yaml

# $ sed -i 's|{{ REPLACE_IMAGE }}|gitlab.cern.ch/drupal/paas/drupal8-operator:v0.0.1|g' deploy/operator.yaml

# $ kubectl create -f deploy/service_account.yaml
# $ kubectl create -f deploy/role.yaml
# $ kubectl create -f deploy/role_binding.yaml
# $ kubectl create -f deploy/operator.yaml